<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

$headmod = 'congratulations';
$textl = 'Поздравления';
require('../incfiles/core.php');
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id && !$set['active']) {
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}


$year = isset($_GET['year']) ? abs(intval($_GET['year'])) : 0;

/*
-----------------------------------------------------------------
История поздравлений
-----------------------------------------------------------------
*/
if(!$year) {
	echo '<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | История поздравлений</div>' .
    '<div class="user"><p>' . functions::display_user($user, array ('iphide' => 1,)) . '</p></div>';
    for($i = 2012; $i <= date('Y'); $i++) {
   		$congratulations = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_congratulations` WHERE `sub_id` = '" . $user['id'] . "' AND `year` = '$i'"), 0);
        if($congratulations) {
        	echo ($total++ % 2 ? '<div class="list2">' : '<div class="list1">') . '<a href="congratulations.php?user=' . $user['id'] . '&amp;year=' . $i . '">' . $i . '</a> (' . $congratulations . ')</div>';
       	}
	}
 	if(!$total) echo '<div class="rmenu"><p>Поздравлений пока нет</p></div>';
 	echo '<div class="phdr">Всего: ' . $total . '</div>';
	require('../incfiles/end.php');
	exit;
}

/*
-----------------------------------------------------------------
Проверяем дату
-----------------------------------------------------------------
*/
if($year < 2012 || $year > date('Y')) {
    echo functions::display_error('Неверный год');
    require('../incfiles/end.php');
    exit;
}
if($year == date('Y') && ($user['monthb'] < date('m') || ($user['monthb'] == date('m') && $user['dayb'] < date('d'))))  {
    echo functions::display_error('В этом году у юзера еще не было дня рождения');
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Поздравления
-----------------------------------------------------------------
*/
$context_top = '<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | Поздравления (' . $year . ')</div>' .
               '<div class="user"><p>' . functions::display_user($user, array ('iphide' => 1,)) . '</p></div>';
$context_bottom = '<p><a href="congratulations.php?user=' . $user['id'] . '">История поздравлений</a>' .
				  '<a href="http://progame.info">Всё об игровой индустрии</a></p>'; //Пожалуйста, не убирайте ссылку в течении 1 месяца, уважайте чужой труд:)

/*
-----------------------------------------------------------------
Параметры Гостевой
-----------------------------------------------------------------
*/
$arg = array (
	'year' => $year,
    'comments_table' => 'cms_congratulations', 				// Таблица поздравлений
    'object_table' => 'users',                 				// Таблица комментируемых объектов
    'script' => 'congratulations.php?year=' . $year,   		// Имя скрипта (с параметрами вызова)
    'sub_id_name' => 'user',                   		  		// Имя идентификатора комментируемого объекта
    'sub_id' => $user['id'],                   				// Идентификатор комментируемого объекта
    'owner' => $user['id'],                    				// Владелец объекта
    'owner_delete' => true,                    				// Возможность владельцу удалять комментарий
    'owner_reply' => true,                     				// Возможность владельцу отвечать на комментарий
    'title' => 'Поздравления',               				// Название раздела
    'context_top' => $context_top,              			// Выводится вверху списка
    'context_bottom' => $context_bottom              		// Выводится нижнего списка
);

/*
-----------------------------------------------------------------
Показываем поздравления
-----------------------------------------------------------------
*/
$comm = new congratulations($arg);

require('../incfiles/end.php');

?>